clear;
close all;
plotall = 1;
N = 50;
alpha = 3;

m = []; % One data point in cluster one
K = 0;

for(n = 1:N)
    probabilities = [m alpha]/(n-1+alpha);
    z(n) = DiscreteSample(probabilities);
    if(z(n) <= K)
        m(z(n)) = m(z(n)) + 1;
    else
        m = [m 1];
        K = K+1;
    end
    
    % Plot
    if(plotall || n == N)
        figure(3);
        plot(z(1:n),'b.','MarkerSize',15);
        axis([0 N+1 0 K+1]);
        set(gca,'FontSize',14);
        xlabel('$n$','Interpreter','latex','FontSize',18)
        ylabel('$z_n$','Interpreter','latex','FontSize',18)
        pause(0.15);
    end
end