clear;
close all;

%% Stick breaking 1 -- here we compute only the probabilities

alpha = 3;
stick = 1;

for(k = 1:30)
    beta = betarnd(1,alpha);
    pi(k) = stick*beta;
    stick = stick - pi(k);
    
    % Plot
    figure(1);
    stem(1:k,pi(1:k));
    xlim([0 30]);
    title(sprintf('Total sum of $\\pi_{1:%i}$: %1.3f',k,1-stick),'Interpreter','latex','FontSize',18);
    set(gca,'FontSize',14);
    xlabel('$k$','Interpreter','latex','FontSize',18)
    ylabel('$\pi_k$','Interpreter','latex','FontSize',18)
    pause(0.15);
end

%% Stick breaking 2 -- here we draw the atoms as well

alpha = 3;
stick = 1;

for(k = 1:30)
    beta = betarnd(1,alpha);
    pi(k) = stick*beta;
    stick = stick - pi(k);
    phi(k) = randn(1); % The base distribution G_0 is standard normal   
    
    % Plot
    figure(2);
    stem(phi(1:k),pi(1:k));
    xlim([-3 3]);
    title(sprintf('Total sum of $\\pi_{1:%i}$: %1.3f',k,1-stick),'Interpreter','latex','FontSize',18);
    set(gca,'FontSize',14);
    xlabel('$\phi$','Interpreter','latex','FontSize',18)
    ylabel('$\pi_k$','Interpreter','latex','FontSize',18)
    pause(0.15);
end